=head1 NAME

B<rmvm> - Removes HMC-, DFM-, IVM-, KVM-, VMware- and zVM-managed partitions or virtual machines.

=head1 SYNOPSIS

B<rmvm [-h| --help]>

B<rmvm [-v| --version]>

B<rmvm [-V| --verbose]> I<noderange> B<[-r] [--service]>

=head2 For KVM and VMware:

B<rmvm [-p] [-f]> I<noderange>

=head2 PPC (using Direct FSP Management) specific:

B<rmvm [-p]> I<noderange>

=head1 DESCRIPTION

The rmvm command removes the partitions specified in noderange. If noderange is an CEC, all the partitions associated with that CEC will be removed. Note that removed partitions are automatically removed from the xCAT database. For IVM-managed systems, care must be taken to not remove the VIOS partition, or all the associated partitions will be removed as well.

For DFM-managed (short For Direct FSP Management mode) normal power machines, only partitions can be removed. No options is needed.

=head1 OPTIONS


B<-h|--help>          Display usage message.

B<-v|--version>       Command Version.

B<-V|--verbose>       Verbose output.

B<-r>          Retain the data object definitions of the nodes.

B<--service>   Remove the service partitions of the specified CECs.

B<-p>          KVM: Purge the existence of the VM from persistent storage.  This will erase all storage related to the VM in addition to removing it from the active virtualization configuration. PPC: Remove the specified partition on normal power machine.

B<-f>          Force remove the VM, even if the VM appears to be online.  This will bring down a live VM if requested. 

=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To remove the HMC-managed partition lpar3, enter:

 rmvm lpar3

Output is similar to:

 lpar3: Success

2. To remove all the HMC-managed partitions associated with CEC cec01, enter:

 rmvm cec01

Output is similar to:

 lpar1: Success
 lpar2: Success
 lpar3: Success

3. To remove the HMC-managed service partitions of the specified CEC cec01 and cec02, enter:

 rmvm cec01,cec02 --service

Output is similar to:

 cec01: Success
 cec02: Success

4. To remove the HMC-managed partition lpar1, but retain its definition, enter:

 rmvm lpar1 -r

Output is similar to:

 lpar1: Success

5. To remove a zVM virtual machine:

 rmvm gpok4

Output is similar to:

 gpok4: Deleting virtual server LNX4... Done


6. To remove a DFM-managed partition on normal power machine:

 rmvm lpar1

Output is similar to:

 lpar1: Done

=head1 FILES

/opt/xcat/bin/rmvm


=head1 SEE ALSO

L<mkvm(1)|mkvm.1>, L<lsvm(1)|lsvm.1>, L<chvm(1)|chvm.1>



